Permalink
Browse files

Freezing Plugins to avoid dependency problems

  • Loading branch information...
1 parent 37d16c7 commit 5b0446b4a8cabb8a5660e5a50ecb381d2a50e97c @merbjedi merbjedi committed Mar 2, 2009
Showing 1,621 changed files with 193,421 additions and 75 deletions.
View
@@ -76,11 +76,17 @@
before "deploy:restart", "admin:migrate"
after "deploy", "live:send_request"
+after "deploy:setup", "init:set_permissions"
after "deploy:setup", "init:database_yml"
after "deploy:setup", "init:create_database"
after "deploy:setup", "init:create_vhost"
after "deploy:setup", "init:enable_site"
namespace :init do
+ desc "setting proper permissions for deploy user"
+ task :set_permissions do
+ sudo "chown -R deploy /var/www/production"
+ end
+
desc "create mysql db"
task :create_database do
#create the database on setup
@@ -132,8 +138,8 @@
end
-after "deploy:update_code", "localize:install_gems"
after "deploy:update_code", "localize:copy_shared_configurations"
+after "deploy:update_code", "localize:install_gems"
after "deploy:update_code", "localize:merge_assets"
namespace :localize do
View
@@ -4,8 +4,8 @@
# you don't control web/app server and can't set it the proper way
# ENV['RAILS_ENV'] ||= 'production'
-# Specifies gem version of Rails to use when vendor/rails is not present
-RAILS_GEM_VERSION = '2.1.0' unless defined? RAILS_GEM_VERSION
+# # Specifies gem version of Rails to use when vendor/rails is not present
+# RAILS_GEM_VERSION = '2.1.0' unless defined? RAILS_GEM_VERSION
# Bootstrap the Rails environment, frameworks, and default configuration
require File.join(File.dirname(__FILE__), 'boot')
@@ -69,77 +69,5 @@
# Gem Requirements
config.gem "haml", :version => ">= 2.0.0"
- # exception_notification
- # ------
- # Allows unhandled exceptions to be emailed on production
- # ------
- config.github_gem 'jcnetdev-exception_notification', :version => '>= 1.1'
-
- # acts_as_list
- # ------
- # Allows ActiveRecord Models to be easily ordered via position attributes
- # ------
- config.github_gem 'jcnetdev-acts_as_list', :version => '>= 1.0'
-
- # app_config
- # ------
- # Allow application wide configuration settings via YML files
- # ------
- config.github_gem 'jcnetdev-app_config', :version => '>= 1.0'
-
- # auto_migrations
- # ------
- # Allows migrations to be run automatically based on updating the schema.rb
- # ------
- config.github_gem 'jcnetdev-auto_migrations', :version => '>= 1.2'
-
- # better_partials
- # ------
- # Adds a helper (partial) that wraps around render :partial. Pass local variables and blocks to your partials easily
- # ------
- config.github_gem 'jcnetdev-better_partials', :version => '>= 1.0'
-
- # form_fu
- # ------
- # Allows easier rails form creation and processing
- # ------
- config.github_gem 'neorails-form_fu', :version => '>= 0.51'
-
- # paperclip
- # ------
- # Allows easy uploading of files
- # ------
- config.github_gem 'jcnetdev-paperclip', :version => '>= 1.0'
-
- # seed-fu
- # ------
- # Allows easier database seeding of tables
- # ------
- config.github_gem 'jcnetdev-seed-fu', :version => '>= 1.0'
-
- # subdomain-fu
- # ------
- # Allows easier subdomain selection
- # ------
- # config.github_gem 'jcnetdev-subdomain-fu', :version => '>= 0.0.2'
-
- # validates_as_email_address
- # ------
- # Allows for easy format validation of email addresses
- # ------
- config.github_gem 'jcnetdev-validates_as_email_address', :version => '>= 1.0'
-
- # will_paginate
- # ------
- # Allows nice and easy pagination
- # ------
- config.github_gem 'jcnetdev-will_paginate', :version => '>= 2.3.2'
-
- # view_fu
- # ------
- # Adds view helpers for titles, stylesheets, javascripts, and common tags
- # ------
- config.github_gem 'neorails-view_fu', :version => '>= 0.3'
-
end
@@ -0,0 +1,23 @@
+ActsAsList
+==========
+
+This acts_as extension provides the capabilities for sorting and reordering a number of objects in a list. The class that has this specified needs to have a +position+ column defined as an integer on the mapped database table.
+
+
+Example
+=======
+
+ class TodoList < ActiveRecord::Base
+ has_many :todo_items, :order => "position"
+ end
+
+ class TodoItem < ActiveRecord::Base
+ belongs_to :todo_list
+ acts_as_list :scope => :todo_list
+ end
+
+ todo_list.first.move_to_bottom
+ todo_list.last.move_higher
+
+
+Copyright (c) 2007 David Heinemeier Hansson, released under the MIT license
@@ -0,0 +1,27 @@
+Gem::Specification.new do |s|
+ s.name = 'acts_as_list'
+ s.version = '1.0.20080704'
+ s.date = '2008-07-04'
+
+ s.summary = "Allows ActiveRecord Models to be easily ordered via position attributes"
+ s.description = ""
+
+ s.authors = ["RailsJedi", 'David Heinemeier Hansson']
+ s.email = 'railsjedi@gmail.com'
+ s.homepage = 'http://github.com/jcnetdev/acts_as_list'
+
+ s.has_rdoc = true
+ s.rdoc_options = ["--main", "README"]
+ s.extra_rdoc_files = ["README"]
+
+ s.add_dependency 'rails', ['>= 2.1']
+
+ s.files = ["README",
+ "acts_as_list.gemspec",
+ "init.rb",
+ "lib/acts_as_list.rb",
+ "rails/init.rb"]
+
+ s.test_files = ["test/list_test.rb"]
+
+end
@@ -0,0 +1 @@
+require File.dirname(__FILE__) + "/rails/init"
Oops, something went wrong.

0 comments on commit 5b0446b

Please sign in to comment.